%define module	urwid
%define name	python-%{module}
%define version	1.1.1
%define release %mkrel 2

Summary:	Full-featured Python console user interface library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://excess.org/%{module}/%{module}-%{version}.tar.gz
License:	LGPL
Group: 		Development/Python
Url: 		http://excess.org/%{module}
BuildRequires:	python-devel

%description
Urwid is a console user interface library. It includes many features
useful for text console application developers including :

* Applcations resize quickly and smoothly
* Automatic, programmable text alignment and wrapping
* Simple markup for setting text attributes within blocks of text
* Powerful list box with programmable content for scrolling all
  widget types
* Your choice of event loops: Twisted, Glib or built-in
  select-based loop
* Pre-built widgets include edit boxes, buttons, check
  boxes and radio buttons
* Display modules include raw, curses, and
  experimental LCD and web displays
* Support for UTF-8, simple 8-bit and CJK encodings
* 256 and 88 color mode support
* Python 3.2 support

%prep
%setup -q -n %{module}-%{version}

%build
%setup_compile_flags
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%files -f FILE_LIST
%defattr(-,root,root)
%doc CHANGELOG *py
%py_platsitedir/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 blino <blino> 1.1.1-1.mga3
+ Revision: 337656
- 1.1.1

* Wed Nov 30 2011 philippem <philippem> 1.0.1-1.mga2
+ Revision: 174514
- Update to 1.0.1

* Mon Oct 03 2011 lebedov <lebedov> 1.0.0-1.mga2
+ Revision: 151353
- Update to 1.0.0.

* Fri Apr 22 2011 ahmad <ahmad> 0.9.9.1-3.mga1
+ Revision: 89666
- imported package python-urwid

